/* GENERAL */
export const START_CONFIG = {
    ZOOM: 8,
    LOCATION: {
        lat: 48.8566140,
        lng:  2.3522219,
    },
};

/* ICON META */
export const ANCHOR_OFFSET = {
    x: 23.445,
    y: 62.03,
};

/* ZOOM */
export const ZOOM_RANGE = {
    MIN: 4,
    MAX: 21,
};

export const ICON = {
    scale: 0.75,
    fillOpacity: 1,
    strokeWeight: 2,
    strokeOpacity: 0.65,
    fillColor: '#4990E2',
    strokeColor: '#2c3d51',  
    path: 'M-0.0450631868,23.2602268 C-0.0450631868,28.4922598 1.69858516,33.3156041 4.64331593,37.2038351 L23.4492555,62.0272289 L42.2550659,37.2038351 C45.2000549,33.3156041 46.9434451,28.4923876 46.9434451,23.2602268 C46.9434451,10.4151052 36.4235797,0 23.4491264,0 C10.4748022,0 -0.0450631868,10.4151052 -0.0450631868,23.2602268 Z M23.4491264,38.7668742 C14.7994478,38.7668742 7.78650549,31.8240247 7.78650549,23.2602268 C7.78650549,14.6966845 14.7994478,7.75332371 23.4491264,7.75332371 C32.0990632,7.75332371 39.1117473,14.6966845 39.1117473,23.2602268 C39.1117473,31.8241526 32.0991923,38.7668742 23.4491264,38.7668742 L23.4491264,38.7668742 Z',
};

/* API META */
export const GOOGLE_MAP_API = {
    VERSION : '3.',
    URL: 'https://maps.googleapis.com/maps/api/js',
    KEY: 'AIzaSyD6O-AN9EMhDpNBl7CeCVO4p2Mr7-Eua04',
    LIBRARIES: ['places','weather','geometry','visualization'],
};

/* ACTIONS */
/* RESET DATA ON THE GLOBAL MAP PAGE */
export const RESET_GLOBAL_MAP_CALL = 'RESET_GLOBAL_MAP_CALL';
/* CHANGE MAP CENTER AFTER SELECTING MARKER BY SEARCH */
export const CHANGE_MAP_CENTER_CALL = 'CHANGE_MAP_CENTER_CALL';

/* GET CLIENT MAP EQUIPMENT ITEMS */
export const GET_CLIENT_MAP_EQUIPMENT_ITEMS_ERROR_API_CALL = 'GET_CLIENT_MAP_EQUIPMENT_ITEMS_ERROR_API_CALL';
export const GET_CLIENT_MAP_EQUIPMENT_ITEMS_REQUEST_API_CALL = 'GET_CLIENT_MAP_EQUIPMENT_ITEMS_REQUEST_API_CALL';
export const GET_CLIENT_MAP_EQUIPMENT_ITEMS_SUCCESS_API_CALL = 'GET_CLIENT_MAP_EQUIPMENT_ITEMS_SUCCESS_API_CALL';
